TextCritical.net - Bug #2714

Notes with encapsulated HTML don't render correctly
05/04/2020 05:42 PM - Luke Murphey

Status: New Start date: 05/04/2020
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
See the preface note for Antiquities of the Jews. It appears like this:

PrefaceThis preface of Josephus is excellent in its kind, and highly worthy the repeated perusal o
f the reader, before he set about the perusal of the work itself.

This could be improved by putting each text chunk from separate HTML nodes on a new line.

History

#1 - 05/07/2020 05:09 PM - Luke Murphey

- Priority changed from Normal to Urgent

#2 - 05/08/2020 10:47 PM - Luke Murphey
- Status changed from New to In Progress

- Priority changed from Urgent to Normal

#3 - 05/10/2020 08:24 PM - Luke Murphey

http://localhost:8081/work/antiquities-of-the-jews/

#4 - 05/11/2020 12:33 AM - Luke Murphey

The notes now extract into multiple lines. However, the line sometimes broken when they shouldn't be (like with spans).
Qs:*

Obs: *

Solns:

e Attach note type (span, etc.)
o | could attach the ID too if | wanted
| could combine lines it they are for spans and separate if they are divs
| could process the HTML into some sort of structure
Re-import the work such that the importer doesn't overlap the notes
| could have this extract two icons instead
o The following CSS is hiding it:

<span class="label note hide" id="content_for_210la2ea">Preface<i class="icon-info-sign icon-white note
-tag" id="95194d2d"></i>

<span class="label note hide" id="content_for_95194d2d">This

preface of Josephus is excellent in its kind, and highly worthy the

repeated perusal of the reader, before he set about the perusal of the

work itself.</span>

</span>

o | would need to have this only grab the text from topmost node, not the containing nodes
http://localhost:8081/work/antiquities-of-the-jews/

#5 - 05/11/2020 04:50 AM - Luke Murphey
- Status changed from In Progress to New

- Target version changed from 4.0 to Plus 2

#6 - 05/22/2020 11:33 PM - Luke Murphey

- Target version changed from Plus_2 to Plus_1

#7 - 07/08/2020 11:21 PM - Luke Murphey

- Target version deleted (Plus_1)
